scala.collection.jcl.Set
class Filter

[source: `scala/collection/jcl/Set.scala`]

`` `class` Filter(p : (A) => Boolean)
  `extends` Filter `with` Set[A]

  Base implementation of a filtered collection

Direct Known Subclasses:
  SortedSet.Filter

Method Summary
`override def` | projection : Projection returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`override def` | retain (p0 : (A) => Boolean) : Unit Method `retain removes all elements from the set for which the predicate `p` yields the value `false`.`

Methods inherited from Set
++, --, +, -, isEmpty, contains, clear, subsetOf, transform

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, equals, hashCode, toArray

Methods inherited from Function1
toString, compose, andThen

Methods inherited from Filter
add, has, remove, elements, size

Methods inherited from Collection
hasAll, addAll, -=, +=

Methods inherited from MutableIterable
removeAll, retainAll, size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`trait` | Projection `extends` Projection `with` Projection

Method Details

`override` `def` retain(p0 : (A) => Boolean) : Unit

  Method `retain removes all elements from the set for which the predicate `p` yields the value `false`.`

Overrides
  Set.retain

`override` `def` projection : Projection

  returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Filter.projection, Set.projection